# Archive | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Archive

- Defined in: Archive.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Archive(name, type, parent)

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
| name
| parent
| type

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| getChildElement(name)
| getDate()
| getFilter()
| getPage()
| getPageSize()
| getPermission(action)
| getSize()
| href(action)
| link_macro(param, action, text)
| stories_macro()

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Archive(name, type, parent)

Parameters:
{Object} name
{Object} type
{Object} parent

## Field Detail

<private> {Story[]} _children
{String} name
{String} parent
{String} type

## Method Detail

- {HopObject} getChildElement(name)
  Parameters:
  {String} name
  Returns:
    {HopObject}
- {Date} getDate()
  Returns:
    {Date}
- {String} getFilter()
  Parameters:
  {boolean}
  Returns:
    {String}
- {Number} getPage()
  Returns:
    {Number}
- {Number} getPageSize()
  Returns:
    {Number}
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- {Number} getSize()
  Returns:
    {Number}
- {String} href(action)
  Parameters:
  {String} action
  Returns:
    {String}
- link_macro(param, action, text)
  Parameters:
  {Object} param
  {String} action
  {String} text
  See:
    renderLink
- stories_macro()